VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding:
[legend]

## Public Member Functions

| DescriptorSetLayoutBinding (uint32_t binding_=0, DescriptorType descriptorType_=DescriptorType::eSampler, uint32_t descriptorCount_=0, ShaderStageFlags stageFlags_=ShaderStageFlags(), const Sampler *pImmutableSamplers_=nullptr)
| DescriptorSetLayoutBinding (VkDescriptorSetLayoutBinding const &rhs)
DescriptorSetLayoutBinding & | operator= (VkDescriptorSetLayoutBinding const &rhs)
DescriptorSetLayoutBinding & | setBinding (uint32_t binding_)
DescriptorSetLayoutBinding & | setDescriptorType (DescriptorType descriptorType_)
DescriptorSetLayoutBinding & | setDescriptorCount (uint32_t descriptorCount_)
DescriptorSetLayoutBinding & | setStageFlags (ShaderStageFlags stageFlags_)
DescriptorSetLayoutBinding & | setPImmutableSamplers (const Sampler *pImmutableSamplers_)
| operator VkDescriptorSetLayoutBinding const & () const
| operator VkDescriptorSetLayoutBinding & ()
bool | operator== (DescriptorSetLayoutBinding const &rhs) const
bool | operator!= (DescriptorSetLayoutBinding const &rhs) const

## Data Fields

uint32_t | binding
DescriptorType | descriptorType
uint32_t | descriptorCount
ShaderStageFlags | stageFlags
const Sampler * | pImmutableSamplers

## Detailed Description

Definition at line 22961 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorSetLayoutBinding() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::DescriptorSetLayoutBinding | ( | uint32_t | binding_ = `0`,
|  | DescriptorType | descriptorType_ = `DescriptorType::eSampler`,
|  | uint32_t | descriptorCount_ = `0`,
|  | ShaderStageFlags | stageFlags_ = `ShaderStageFlags()`,
|  | const Sampler * | pImmutableSamplers_ = `nullptr`
| ) |  |

inline

Definition at line 22963 of file vulkan.hpp.

: binding( binding_ )
, descriptorType( descriptorType_ )
, descriptorCount( descriptorCount_ )
, stageFlags( stageFlags_ )
, pImmutableSamplers( pImmutableSamplers_ )
{
}

## DescriptorSetLayoutBinding() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::DescriptorSetLayoutBinding | ( | VkDescriptorSetLayoutBinding const & | rhs | ) |

inline

Definition at line 22976 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorSetLayoutBinding ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorSetLayoutBinding &()

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::operator VkDescriptorSetLayoutBinding & | ( |  | ) |

inline

Definition at line 23021 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorSetLayoutBinding*>(this);
}

## operator VkDescriptorSetLayoutBinding const &()

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::operator VkDescriptorSetLayoutBinding const & | ( |  | ) | const

inline

Definition at line 23016 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorSetLayoutBinding*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::operator!= | ( | DescriptorSetLayoutBinding const & | rhs | ) | const

inline

Definition at line 23035 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorSetLayoutBinding& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::operator= | ( | VkDescriptorSetLayoutBinding const & | rhs | ) |

inline

Definition at line 22981 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorSetLayoutBinding ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::operator== | ( | DescriptorSetLayoutBinding const & | rhs | ) | const

inline

Definition at line 23026 of file vulkan.hpp.

{
return ( binding == rhs.binding )
&& ( descriptorType == rhs.descriptorType )
&& ( descriptorCount == rhs.descriptorCount )
&& ( stageFlags == rhs.stageFlags )
&& ( pImmutableSamplers == rhs.pImmutableSamplers );
}

References binding, descriptorCount, descriptorType, pImmutableSamplers, and stageFlags.

Referenced by operator!=().

## setBinding()

DescriptorSetLayoutBinding& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::setBinding | ( | uint32_t | binding_ | ) |

inline

Definition at line 22986 of file vulkan.hpp.

{
binding = binding_;
return *this;
}

References binding.

## setDescriptorCount()

DescriptorSetLayoutBinding& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::setDescriptorCount | ( | uint32_t | descriptorCount_ | ) |

inline

Definition at line 22998 of file vulkan.hpp.

{
descriptorCount = descriptorCount_;
return *this;
}

References descriptorCount.

## setDescriptorType()

DescriptorSetLayoutBinding& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::setDescriptorType | ( | DescriptorType | descriptorType_ | ) |

inline

Definition at line 22992 of file vulkan.hpp.

{
descriptorType = descriptorType_;
return *this;
}

References descriptorType.

## setPImmutableSamplers()

DescriptorSetLayoutBinding& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::setPImmutableSamplers | ( | const Sampler * | pImmutableSamplers_ | ) |

inline

Definition at line 23010 of file vulkan.hpp.

{
pImmutableSamplers = pImmutableSamplers_;
return *this;
}

References pImmutableSamplers.

## setStageFlags()

DescriptorSetLayoutBinding& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::setStageFlags | ( | ShaderStageFlags | stageFlags_ | ) |

inline

Definition at line 23004 of file vulkan.hpp.

{
stageFlags = stageFlags_;
return *this;
}

References stageFlags.

## Field Documentation

## binding

uint32_t VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::binding

Definition at line 23040 of file vulkan.hpp.

Referenced by operator==(), and setBinding().

## descriptorCount

uint32_t VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::descriptorCount

Definition at line 23042 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorCount().

## descriptorType

DescriptorType VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::descriptorType

Definition at line 23041 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorType().

## pImmutableSamplers

const Sampler* VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::pImmutableSamplers

Definition at line 23044 of file vulkan.hpp.

Referenced by operator==(), and setPImmutableSamplers().

## stageFlags

ShaderStageFlags VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::stageFlags

Definition at line 23043 of file vulkan.hpp.

Referenced by operator==(), and setStageFlags().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::stageFlags
ShaderStageFlags stageFlags
Definition: vulkan.hpp:23043
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::DescriptorSetLayoutBinding
DescriptorSetLayoutBinding(uint32_t binding_=0, DescriptorType descriptorType_=DescriptorType::eSampler, uint32_t descriptorCount_=0, ShaderStageFlags stageFlags_=ShaderStageFlags(), const Sampler *pImmutableSamplers_=nullptr)
Definition: vulkan.hpp:22963
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::pImmutableSamplers
const Sampler * pImmutableSamplers
Definition: vulkan.hpp:23044
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::binding
uint32_t binding
Definition: vulkan.hpp:23040
VkDescriptorSetLayoutBinding
Definition: vulkan_core.h:2531
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::descriptorCount
uint32_t descriptorCount
Definition: vulkan.hpp:23042
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::descriptorType
DescriptorType descriptorType
Definition: vulkan.hpp:23041
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutBinding::operator==
bool operator==(DescriptorSetLayoutBinding const &rhs) const
Definition: vulkan.hpp:23026